> For the complete documentation index, see [llms.txt](https://docs.dunedocker.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.dunedocker.app/reference/cli-reference.md).

# CLI Reference

Run commands from the project directory with `dune` available on the path. Use `dune --help` on your installed version for the exact current syntax.

If `dune` is not on your path, replace it with `runtime/scripts/dune` from the project folder. The blocks below are a command reference, not a script to paste and run in full. Start/stop, restore, delete, and repair commands can affect players or saved data.

For browser-first instructions, see [How Do I...?](/how-do-i.../how-to.md). Experimental tank status can be inspected with `runtime/scripts/dune experimental-tanks status`; use the [Regis Tanks guide](/how-do-i.../regis-tanks.md) before changing it.

## Core and Diagnostics

```
dune init
dune start | stop | status | version
dune doctor | ps | servers | ports | ping | ready
dune logs <service> [--raw]
dune restart <service>
dune console restart | status
```

## Maps and Runtime

```
dune spawn <map-name|partition-id>
dune despawn <map-name|partition-id|container-name>
dune autoscaler [status|start|stop|restart|logs|run]
dune maps list
dune maps mode [map]
dune maps set <map> <dynamic|always-on|overmap-active|disabled>
dune maps reconcile
dune deepdesert layout status | configured
dune deepdesert layout set <1|2|3> [--third-role <pve|pvp>] [--yes] [--force]
dune deepdesert layout repair
dune deepdesert dual [status|enable|disable|bootstrap|repair]
dune coriolis [status|scan-once]
```

## Sietches

```
dune sietches list
dune sietches show <map-name>
dune sietches dimensions <map-name>
dune sietches set-max <map-name> <count>
dune sietches set-active <map-name> <count>
dune sietches set-display <partition-id> <display-name>
dune sietches set-password <partition-id> [password]
dune sietches sync | validate
```

## Updates and Schedules

```
dune update check
dune update [--yes]
dune update install-assets [--force]
dune update auto enable [interval-minutes]
dune update auto disable | status
dune self-update check | list
dune self-update install [latest|<tag>]
dune restart-schedule enable <HH:MM> [notify-minutes]
dune restart-schedule disable | status
dune ip-change-restart [enable|disable|status|check-now]
```

`dune update` updates Funcom game content. `dune self-update` updates Dune Docker Console itself.

## Backups and Database

```
dune db backup [output-dir]
dune db backup-system [output-dir]
dune db list | status | health
dune db list-system [output-dir]
dune db restore-system <archive> [--dry-run]
dune db import <backup-file>
dune db restore <backup-file>
dune db restore <backup-file> --adopt-backup-battlegroup
dune db restore <backup-file> --keep-current-battlegroup
dune db delete <backup-file> | --all
dune db auto enable <HH:MM> [retention-days]
dune db auto disable | status
dune db auto retention <days|off>
dune db transfer [options] <old-fls-id> <new-fls-id>
dune database [status|schemas|tables|counts|columns|preview|sql|export]
dune console reload
```

## Memory, Storage, and Metrics

```
dune storage [status|cleanup [--dry-run] [--build-cache]]
dune memory status | list-maps
dune memory set <map-name|default> <memory>
dune memory unset <map-name|default>
dune memory-swap status | enable | disable
dune metrics [start|stop|restart|status|logs|config|pull]
dune shutdown-protection [enable|disable|remove|status]
dune network [status|fix]
```

## Player Administration

```
dune admin players [--online] [--show-full-ids]
dune admin kick <player-fls-id> [--dry-run] [--yes]
dune admin kick --all-online [--yes] [--dry-run]
dune admin login-queues [--all]
dune admin repair-login-queue <player-fls-id|queue-name> [--yes] [--force]
dune admin item-search <query>
dune admin item-list [category]
dune admin grant-item <player-id|*> <item-name> [quantity] [durability]
dune admin grant-item-id <player-id|*> <item-id> [quantity] [durability]
dune admin grant-template <player-id|*> scout-ornithopter-mk6
dune admin player-location <player-id>
dune admin award-xp <player-id|*> <amount>
dune admin skill-points <player-id|*> <points>
dune admin skill-module <player-id|*> <module> <level>
dune admin skill-modules [query]
dune admin specialization-xp <character-name> [options]
dune admin specialization-max <character-name> [options]
dune admin refill-water <player-id|*> [amount]
dune admin clean-inventory <player-id|*>
dune admin reset-progression <player-id|*>
dune admin teleport <player-id> <x> <y> <z> [yaw]
dune admin spawn-vehicle <player-id> <vehicle-id> <template-name> [offset]
dune admin spawn-vehicle-at <player-id> <vehicle-id> <template-name> <x> <y> <z> [rotation]
dune admin vehicle-list
dune admin broadcast-restart-warning <minutes>
dune admin history
```

## Server Identity

```
dune config title
dune config title "New Server Name" [--yes] [--no-restart]
```

{% hint style="info" %}
The Console is preferred for interactive administration because it supplies validation, current context, confirmations, and result messages. Use the CLI for automation and support workflows.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.dunedocker.app/reference/cli-reference.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
